Fermi Redmine - Bug #1568

Unprivileged issue author unable to provide feedback?
07/28/2011 05:26 PM - Christopher Green

Status: Assigned Start date: 07/28/2011
Priority: High Due date: 08/01/2011
Assignee: Marc Mengel % Done: 10%
Category: Estimated time: 3.00 hours
Target version: Spent time: 1.00 hour
Description

Hi,

| have an unprivileged user who entered issue #1494 into redmine for the Art project. He attempted to reply to the email he received
from Redmine requesting feedback and it never made it to the ticket. What is the correct way for a user not registered with a project

to reply on the ticket, please?

History

#1 - 07/28/2011 05:28 PM - Christopher Green
- Priority changed from Normal to High

#2 - 07/29/2011 10:05 AM - Marc Mengel

The email feed is not currently turned on (pending investigation of spam proofing, etc.),
so email just isn't going to work.

Hmm... looks like:

http://www.redmine.org/issues/7444

http://www.redmine.org/issues/1248

are apropos. I'll look into grabbing the edit-your-own-issues patch and rolling it into the test
instance...

#3 - 07/29/2011 10:08 AM - Marc Mengel
- Due date set to 08/01/2011

- Assignee set to Marc Mengel

- % Done changed from 0 to 10

- Estimated time set to 3.00 h

Grabbed the patch from http:/www.redmine.org/issues/7444 for 1.0.4, which should hopefully
patch against our current...

I'll try it out on the test instance a little later on...

#4 - 07/29/2011 01:19 PM - Marc Mengel

- Status changed from New to Assigned

This patch is installed over in the integration instance on cdcvs4. If there's no weirdness with it over there, I'll put it up on production Monday.

#5 - 11/14/2011 01:25 PM - Christopher Green

Marc, did this ever get put into production?

Also: any chance of getting the email reply function vetted soon? We are getting more cases of people tripping over this fail-silent behavior, and we
are getting more tickets from users not comfortable with making full-scale updates to tickets direct in redmine -- email reply will meet their needs and

we won't have to worry about bad things happening to a ticket by accident.
